Bug 33120 - Traceback when trying to remove all nagios services
Traceback when trying to remove all nagios services
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Nagios
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-2-errata
Assigned To: Lukas Walter
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 12:04 CET by Drees Dormann
Modified: 2014-08-07 17:48 CEST (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Error handling
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Drees Dormann univentionstaff 2013-11-05 12:04:35 CET
When trying to remove all nagios services (and save changes) i get following traceback :

  File "/usr/lib/pymodules/python2.6/notifier/threads.py", line 82, in _run
    tmp = self._function()
  File "/usr/lib/pymodules/python2.6/notifier/__init__.py", line 104, in __call__
    return self._function( *tmp, **self._kwargs )
  File "/usr/lib/pymodules/python2.6/univention/management/console/modules/udm/__init__.py", line 339, in _thread
    module.modify( properties )
  File "/usr/lib/pymodules/python2.6/univention/management/console/modules/udm/udm_ldap.py", line 155, in wrapper_func
    ret = func( *args, **kwargs )
  File "/usr/lib/pymodules/python2.6/univention/management/console/modules/udm/udm_ldap.py", line 410, in modify
    obj.modify()
  File "/usr/lib/pymodules/python2.6/univention/admin/handlers/__init__.py", line 344, in modify
    return self._modify(modify_childs,ignore_license=ignore_license)
  File "/usr/lib/pymodules/python2.6/univention/admin/handlers/__init__.py", line 871, in _modify
    self._ldap_post_modify()
  File "/usr/lib/pymodules/python2.6/univention/admin/handlers/computers/domaincontroller_backup.py", line 595, in _ldap_post_modify
    self.nagios_ldap_post_modify()
  File "/usr/lib/pymodules/python2.6/univention/admin/nagios.py", line 356, in nagios_ldap_post_modify
    self.nagiosModifyServiceList()
  File "/usr/lib/pymodules/python2.6/univention/admin/nagios.py", line 291, in nagiosModifyServiceList
    if servicedn not in self.info['nagiosServices']:

KeyError: 'nagiosServices'

looks similar to 
https://forge.univention.org/bugzilla/show_bug.cgi?id=25679
Comment 1 Dirk Wiesenthal univentionstaff 2014-01-17 10:31:07 CET
Reported by traceback feedback
Comment 2 Lukas Walter univentionstaff 2014-06-11 14:11:15 CEST
Fixed in svn50987 along with Bug #34037

YAML:
=====
product: ucs
release: "3.2"
scope: ucs_3.2-0-errata3.2-2
src: univention-directory-manager-modules
fix: 9.0.76-2.1198.201406111347
version: [2]
desc: |
 This update fixes an issue which caused a traceback if one
 removed all Nagios services or superior hosts from computer
 objects.
bug: [33120, 34037]
Comment 3 Florian Best univentionstaff 2014-06-12 12:12:34 CEST
fix: OK
YAML: OK
Comment 4 Janek Walkenhorst univentionstaff 2014-08-07 17:48:21 CEST
http://errata.univention.de/ucs/3.2/170.html